Bug 209935 - devel/gdb: updating to version 7.11.1
Summary: devel/gdb: updating to version 7.11.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-01 13:50 UTC by luca.pizzamiglio
Modified: 2016-06-05 20:00 UTC (History)
1 user (show)

See Also:
riggs: merge-quarterly+


Attachments
The updating patch (711 bytes, patch)
2016-06-01 13:50 UTC, luca.pizzamiglio
luca.pizzamiglio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2016-06-01 13:50:31 UTC
Created attachment 170913 [details]
The updating patch

Updating gdb to the last version. No new features are added, it contains only fixes.
Comment 1 VK freebsd_triage 2016-06-01 23:23:19 UTC
Thanks for the patch. If this version is fixes only, please flag the report with merge-quarterly? if you think it should be MFH'd.
Comment 2 Thomas Zander freebsd_committer 2016-06-04 17:19:06 UTC
With all OPTIONs selected, the following issues are detected during stage-qa:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/gdb7111 is linked to /usr/local/lib/libgc-threaded.so.1 from devel/boehm-gc-threaded but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgc-threaded.so:devel/boehm-gc-threaded
Error: /usr/local/bin/gdb7111 is linked to /usr/local/lib/libintl.so.8 from devel/gettext-runtime but it is not declared as a dependency
Warning: you need USES+=gettext
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done

Could you double-check whether this is correct or a false-positive and update the patch accordingly?
Thanks in advance
Comment 3 luca.pizzamiglio 2016-06-05 11:38:51 UTC
After some research, both dependencies are realted to guile2 and my conclusions are:

libgc-threaded.so is related to the option THREAD_LIB of lang/guile2
gettext is related to the option NLS of lang/guile2

Both dependencies are correctly indicated in the lang/guile2 Makefile. 
It seems to me that those messages are simply wrong: dependencies are stated but not detected by stage-qa.

Am I correct?
Comment 4 Thomas Zander freebsd_committer 2016-06-05 12:02:05 UTC
(In reply to luca.pizzamiglio from comment #3)

I'd agree. There have been a couple of those false positives in the recent past. Thank you for double-checking.
Comment 5 commit-hook freebsd_committer 2016-06-05 12:05:29 UTC
A commit references this bug:

Author: riggs
Date: Sun Jun  5 12:04:35 UTC 2016
New revision: 416392
URL: https://svnweb.freebsd.org/changeset/ports/416392

Log:
  Update to upstream release 7.11.1

  Includes several runtime fixes, e.g. crashes on reverse-stepi
  and use-after-free errors, see https://www.gnu.org/software/gdb/news/

  PR:		209935
  Submitted by:	luca.pizzamiglio@gmail.com (maintainer)
  MFH:		2016Q2

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/distinfo
Comment 6 commit-hook freebsd_committer 2016-06-05 19:58:39 UTC
A commit references this bug:

Author: riggs
Date: Sun Jun  5 19:57:54 UTC 2016
New revision: 416424
URL: https://svnweb.freebsd.org/changeset/ports/416424

Log:
  MFH: r416247 r416392

  Make GDB build when basename() is POSIX compliant.

  GDB's libiberty.h has a prototype of the basename() function it which
  does not match the one that is part of POSIX, declared in libgen.h. This
  is normally never visible, as GDB never includes libgen.h. On FreeBSD,
  it unfortunately is, as our locally added copy of kgdb includes both.

  Fix up libiberty.h to just include libgen.h. I'm currently discussing
  with upstream how a clean fix should be done, but I guess that
  requires more refactoring to the existing code. We'd better not bother
  importing that and stick to this compact workaround.

  Reviewed by:	bapt@, mi@, Luca Pizzamiglio
  Differential Revision:	https://reviews.freebsd.org/D6630

  Update to upstream release 7.11.1

  Includes several runtime fixes, e.g. crashes on reverse-stepi
  and use-after-free errors, see https://www.gnu.org/software/gdb/news/

  PR:		209935
  Submitted by:	luca.pizzamiglio@gmail.com (maintainer)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/devel/gdb/Makefile
  branches/2016Q2/devel/gdb/distinfo
  branches/2016Q2/devel/gdb/files/patch-libiberty-basename
  branches/2016Q2/devel/gdb66/files/patch-libiberty-basename